package model

import "go.mongodb.org/mongo-driver/bson/primitive"

type GenerateVoucherPromotionRequest struct {
	Cash       float64                         `json:"cash"`
	TargetID   primitive.ObjectID              `json:"targetId"`
	TargetType string                          `json:"targetType"`
	Options    GenerateVoucherPromotionOptions `json:"options"`
	Seller     primitive.ObjectID              `json:"seller"`
}

type GenerateVoucherPromotionOptions struct {
	Title string `json:"title"`
}

type ResponseGenerateVoucherPromotion struct {
	Success bool   `json:"success"`
	Error   string `json:"error"`
}
